# Delete a role assignment

Deletes a role assignment by ID.

Endpoint: DELETE /hr/v3/role-assignments/{id}
Version: v3
Security: OAuth2ClientCredentials

## Security:

  - `OAuth2ClientCredentials` (unknown)
    oauth2 scopes: hr:role-assignments:delete

## Path parameters:

  - `id` (string, required)

## Response 204:

  - `204` (unknown)
    No Content

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/problem+json):

  - `type` (string, required)
    A URI reference that identifies the problem type
    Example: https://developer.quinyx.com/api/problems/error-type

  - `title` (string, required)
    A short, human-readable summary of the problem type
    Example: Error Title

  - `status` (integer, required)
    The HTTP status code
    Example: 404

  - `detail` (string)
    A human-readable explanation specific to this occurrence of the problem
    Example: A detailed explanation of the error

  - `instance` (string)
    A URI reference that identifies the specific occurrence of the problem
    Example: /api/endpoint

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/problem+json):

  - `type` (string, required)
    A URI reference that identifies the problem type
    Example: https://developer.quinyx.com/api/problems/error-type

  - `title` (string, required)
    A short, human-readable summary of the problem type
    Example: Error Title

  - `status` (integer, required)
    The HTTP status code
    Example: 404

  - `detail` (string)
    A human-readable explanation specific to this occurrence of the problem
    Example: A detailed explanation of the error

  - `instance` (string)
    A URI reference that identifies the specific occurrence of the problem
    Example: /api/endpoint

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/problem+json):

  - `type` (string, required)
    A URI reference that identifies the problem type
    Example: https://developer.quinyx.com/api/problems/error-type

  - `title` (string, required)
    A short, human-readable summary of the problem type
    Example: Error Title

  - `status` (integer, required)
    The HTTP status code
    Example: 404

  - `detail` (string)
    A human-readable explanation specific to this occurrence of the problem
    Example: A detailed explanation of the error

  - `instance` (string)
    A URI reference that identifies the specific occurrence of the problem
    Example: /api/endpoint

## Response 429:

  - `429` (unknown)
    Too Many Requests

## Response 429 fields (application/problem+json):

  - `type` (string, required)
    A URI reference that identifies the problem type
    Example: https://developer.quinyx.com/api/problems/error-type

  - `title` (string, required)
    A short, human-readable summary of the problem type
    Example: Error Title

  - `status` (integer, required)
    The HTTP status code
    Example: 404

  - `detail` (string)
    A human-readable explanation specific to this occurrence of the problem
    Example: A detailed explanation of the error

  - `instance` (string)
    A URI reference that identifies the specific occurrence of the problem
    Example: /api/endpoint

## Response 500:

  - `500` (unknown)
    Server Error

## Response 500 fields (application/problem+json):

  - `type` (string, required)
    A URI reference that identifies the problem type
    Example: https://developer.quinyx.com/api/problems/error-type

  - `title` (string, required)
    A short, human-readable summary of the problem type
    Example: Error Title

  - `status` (integer, required)
    The HTTP status code
    Example: 404

  - `detail` (string)
    A human-readable explanation specific to this occurrence of the problem
    Example: A detailed explanation of the error

  - `instance` (string)
    A URI reference that identifies the specific occurrence of the problem
    Example: /api/endpoint

## Response 401 examples:

  - `Unauthorized` (unknown)
    Example ProblemDetail response

## Response 403 examples:

  - `Forbidden` (unknown)
    Example ProblemDetail response

## Response 404 examples:

  - `Not found` (unknown)
    Example ProblemDetail response

## Response 429 examples:

  - `Too many requests` (unknown)
    Example ProblemDetail response

## Response 500 examples:

  - `Server error` (unknown)
    Example ProblemDetail response

